#!/bin/bash

DOTFILES_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
export DOTFILES_DIR
EXTRA_DIR="$HOME/.extra"
export EXTRA_DIR

# Update dotfiles itself first

[ -d "$DOTFILES_DIR/.git" ] && git --work-tree="$DOTFILES_DIR" --git-dir="$DOTFILES_DIR/.git" pull origin master

#vim backup folders
mkdir -p ~/.vim/{backup_files,swap_files,undo_files}
#install vundle
git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vundle.vim

#Install pyenv
git clone https://github.com/pyenv/pyenv.git ~/.pyenv

# Bunch of symlinks
ln -sfv ~/dotfiles ~/.dotfiles
#ln -sfv "$DOTFILES_DIR/run/.bash_profile" ~
ln -sfv "$DOTFILES_DIR/run/.profile" ~
ln -sfv "$DOTFILES_DIR/run/.xprofile" ~
ln -sfv "$DOTFILES_DIR/run/.bashrc" ~
ln -sfv "$DOTFILES_DIR/git/.gitconfig" ~
ln -sfv "$DOTFILES_DIR/system/.vimrc" ~
ln -sfv "$DOTFILES_DIR/system/.dir_colors" ~
ln -sfv "$DOTFILES_DIR/vim/bundle" ~/.vim/bundle
ln -sfv "$DOTFILES_DIR/.Xresources" ~/.Xresources
ln -sfv "$DOTFILES_DIR/.fehbg" ~/.fehbg

#Clone wallpaper repo for pretty
git clone http://ahosking@git.ahoskingit.com/ahosking/wallpaper.git ~/wallpaper

# Link .config files
ln -sfv "$DOTFILES_DIR/config/terminator" ~/.config/
ln -sfv "$DOTFILES_DIR/.i3" ~

# Install Vundle Plugins
vim +PluginInstall +qall

# make .config directory for application specifics
cp -r config "$HOME/.config"
if [ ! -d "$HOME/.config" ]; then
    mkdir "$HOME/.config"
fi
